<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: forum_threads_list2_panel.php
| Author: Nick Jones (Digitanium)
| Mods Author: Frits Offenbach (Offenbach)
+--------------------------------------------------------+
| This program is released as free softl_ware under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
add_to_head("<link rel='stylesheet' href='".INFUSIONS."forum_threads_list3_panel/forum3.css' type='text/css' media='all' />");

include LOCALE.LOCALESET."forum/main.php";
if (file_exists(INFUSIONS."forum_threads_list3_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."forum_threads_list3_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."forum_threads_list3_panel/locale/Hungarian.php"; }

add_to_head("<script type='text/javascript' language='JavaScript' src='".INFUSIONS."forum_threads_list3_panel/include/boxover.js'></script>");
global $lastvisited;

if (!isset($lastvisited) || !isnum($lastvisited)) { $lastvisited = time(); }
if (iMEMBER){$fldb = 6;} else {$fldb = 6;}
$data = dbarray(dbquery("SELECT tt.thread_lastpost
	FROM ".DB_FORUMS." tf
	INNER JOIN ".DB_THREADS." tt ON tf.forum_id = tt.forum_id
	WHERE ".groupaccess('tf.forum_access')."
	ORDER BY tt.thread_lastpost DESC LIMIT ".($fldb-1).", ".$fldb));
$timeframe = empty($data['thread_lastpost']) ? 0 : $data['thread_lastpost'];
$result = dbquery(
	"SELECT tt.thread_id, tt.thread_subject, tt.thread_views, tt.thread_lastuser, tt.thread_lastpost,
	tt.thread_poll, tf.forum_id, tf.forum_name, tf.forum_access, tt.thread_lastpostid, tt.thread_postcount, tu.user_id, tu.user_name, tt.thread_locked
	FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	INNER JOIN ".DB_USERS." tu ON tt.thread_lastuser=tu.user_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_lastpost >= ".$timeframe."
	ORDER BY tt.thread_lastpost DESC LIMIT 0,".$fldb
);
if (dbrows($result)) {
	$i = 0;  
	opentable($locale['ftl_100']);
	while ($data = dbarray($result)) {
		echo "<table cellpadding='0' cellspacing='0' width='100%' >\n";
		echo "<tr><td class='f_folder'>";
		if ($data['thread_locked']) {
			echo "<img src='".get_image("folderlock")."' alt='' />";
		}	else {	
		if ($data['thread_lastpost'] > $lastvisited) {
			$thread_match = $data['thread_id']."\|".$data['thread_lastpost']."\|".$data['forum_id'];
			if (iMEMBER && preg_match("(^\.{$thread_match}$|\.{$thread_match}\.|\.{$thread_match}$)", $userdata['user_threads'])) {
			echo "<img src='".get_image("folder")."' alt='' />";
			} else {
				echo "<img src='".get_image("foldernew")."' alt='' />";
			}
		} else {
			echo "<img src='".get_image("folder")."' alt='' />";
		}
		}
		if ($data['thread_poll']) {
			$thread_poll = "<span class='small' style='font-weight:bold'>[".$locale['ftl_100']."]</span> ";
		} else {
			$thread_poll = "";
		}
		echo "</td>\n";
		$data2 = dbarray(dbquery("SELECT * FROM ".DB_POSTS."  WHERE thread_id='".$data['thread_id']."' ORDER BY post_id DESC LIMIT 1"));
		$post_message = $data2['post_smileys'] == 1 ? parsesmileys($data2['post_message']) : $data2['post_message'];
		$post_message = phpentities(nl2br(parseubb($post_message)));                                                       
		echo "<td class='forum_forum_kozep' width='70%'>".$thread_poll."&nbsp;<a href='".FORUM."viewthread.php?forum_id=".$data['forum_id']."&amp;thread_id=".$data['thread_id']."&amp;pid=".$data['thread_lastpostid']."#post_".$data['thread_lastpostid']."' title=\"header=[ ".str_replace("]", "]]", str_replace("[", "[[", trimlink($data['thread_subject'], 45)))."] body=[".str_replace("]", "]]", str_replace("[", "[[", trimlink($post_message, 250)))."] delay=[0] fade=[on]\"><span class='forum_link'>".trimlink($data['thread_subject'], 45)."</span>\n</a><br /><span class='forum_small1'>".$data['forum_name']."</span>\n<br /><span class='forum_small2'>".($data['thread_postcount']-1)." hozzszls</span>\n</td>\n";
		$mst = mktime(0,0,0,date("m"),date("d"),date("Y"));
		$ora = ($data['thread_lastpost'] > $mst ? showdate("%H:%M",$data['thread_lastpost']) : showdate("%Y.%m.%d %H:%M",$data['thread_lastpost']));
		echo "<td class='forum_forum_jobb'><a href='".BASEDIR."profile.php?lookup=".$data['thread_lastuser']."'>".$data['user_name']."</a><br /><span class='forum_small2'>".$ora."</span>\n";
		echo "</td>\n";
		echo "</tr>\n</table>\n";
		echo'<div style="margin:5px"></div>';		
		$i++;
	}	
}
if (iMEMBER){
echo'<div style="margin:5px"></div>';
echo "<table cellpadding='0' cellspacing='5' width='100%' class='tbl-border'>\n<tr>\n";
echo "
<td class='forum_temak' align='center' >
<img src='".BASEDIR."infusions/forum_threads_list3_panel/images/icon_threads.gif' alt='' border='0'>&nbsp;<a href='".INFUSIONS."forum_threads_list3_panel/my_threads.php' title='".$locale['ftl_113']."'>".$locale['ftl_104']."</a>&nbsp;&nbsp;
<img src='".BASEDIR."infusions/forum_threads_list3_panel/images/icon_threads.gif' alt='' border='0'>&nbsp;<a href='".INFUSIONS."forum_threads_list3_panel/my_posts.php' title='".$locale['ftl_114']."'>".$locale['ftl_105']."</a>&nbsp;&nbsp;
<img src='".BASEDIR."infusions/forum_threads_list3_panel/images/icon_threads.gif' alt='' border='0'>&nbsp;<a href='".INFUSIONS."forum_threads_list3_panel/my_tracked_threads.php' title='".$locale['ftl_115']."'>".$locale['ftl_108']."</a>
</td>";
echo "</tr>\n</table>\n";
}
echo "<form name='searchform' method='get' action='".BASEDIR."search.php?stype=forums'>";
echo "<table cellpadding='0' cellspacing='5' width='100%'>\n<tr>\n";
echo "<td class='forum_search' align='center'><input type='text' name='stext' class='textbox' style='width:250px' value='Keress a frumban' onclick=\"this.value='';\" />\n";
echo "<input type='submit' name='search' value='Keress indtsa' class='button' />\n</td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();
?>